XDF / Component library for Angular

Código fuente: http://git.tbs.com:8888/XDF4JavaProjects/ng-byte-framework/tree/master/projects/xdf-security

## Table of Contents
* [Installation](#installation)
* [Usage](#usage)
* [API](#api)
* [FAQ](#faq)
* [HISTORY](#History)

## Installation

First you need to install the npm module:

```sh
npm install @xdf/security --save
```

## Usage

#### 1. Import the `XdfSecurityModule`:

Finally, you can use xdf-commns in your Angular project. You have to import `XdfSecurityModule` in the root NgModule of your application.

The [`forRoot`](https://angular.io/api/router/RouterModule#forroot) static method is a convention that provides and configures services at the same time.
Make sure you only call this method in the root module of your application, most of the time called `AppModule`.
This method allows you to configure the `XdfSecurityModule` by specifying a loader, a parser and/or a missing translations handler.

```ts
import {BrowserModule} from '@angular/platform-browser';
import {NgModule} from '@angular/core';
import {XdfSecurityModule} from '@xdf/security';

@NgModule({
    imports: [
        BrowserModule,
        XdfSecurityModule
    ],
    bootstrap: [AppComponent]
})
export class AppModule { }
```

## History
### v. 0.3.1
* Se añade funcionalidad para cargar la información antes de mostrar la vista de detalle

### v. 0.0.5
* Se corrije problema para el manejo de idioma en los submodulos

### v. 0.0.4
* Servicio de authenticación

### v. 0.0.3
* Incluye soporte a seguridad sso
* Soporte a roles y configuración del sistema
