import { ViewContainerRef, AfterContentChecked, ChangeDetectorRef } from '@angular/core';
import { FormTemplate } from '../../../template/form.template';
import { ActivatedRoute, Router } from '@angular/router';
import { DynaDataService } from '../services/dyna-data.service';
import { ValidatorUtils } from '../../../utils/validator-utils';
import { ConfirmationDialogService } from '../../dialogs/confirmation-dialog/services/confirmation-dialog.service';
import { NotificationService, InitCommonsService } from '@xdf/commons';
import { AuthorizationService } from '@xdf/security';
import { TranslateService } from '@ngx-translate/core';
import { CrudDirective } from '../crud.directive';
import { AuditDialogService } from '../../dialogs/audit-dialog/services/audit-dialog.service';
export interface IForms {
    updateForm(recordId: any, record: any, mode: any): any;
}
export declare class CrudDetailComponent extends CrudDirective implements AfterContentChecked {
    protected route: ActivatedRoute;
    protected router: Router;
    private translate;
    protected validatorUtils: ValidatorUtils;
    protected dynaDataService: DynaDataService;
    protected confirmationDialogService: ConfirmationDialogService;
    protected vcRef: ViewContainerRef;
    protected notificationService: NotificationService;
    protected authorizationService: AuthorizationService;
    protected auditDialogService: AuditDialogService;
    protected init: InitCommonsService;
    private cdr;
    template: FormTemplate;
    mode: string;
    title: string;
    recordIdentifier: string;
    multiple: [];
    id: any;
    constructor(route: ActivatedRoute, router: Router, translate: TranslateService, validatorUtils: ValidatorUtils, dynaDataService: DynaDataService, confirmationDialogService: ConfirmationDialogService, vcRef: ViewContainerRef, notificationService: NotificationService, authorizationService: AuthorizationService, auditDialogService: AuditDialogService, init: InitCommonsService, cdr: ChangeDetectorRef);
    ngAfterContentChecked(): void;
    protected loadSettings(): void;
    recordReady($event: any): void;
    back(): void;
    optionEvent(option: any): void;
    validarMultiple(): boolean;
}
