import { OnInit, OnChanges, EventEmitter, SimpleChanges } from '@angular/core';
import { ValidatorUtils } from '../../../utils/validator-utils';
import { FormGroupUtils } from '../../../utils/form-group-utils';
import { MatSelect } from '@angular/material/select';
import { DataService } from '../../crud/services/data.service';
export declare class SelectComponent implements OnInit, OnChanges {
    private formGroupUtils;
    private validatorUtils;
    select: MatSelect;
    label: string;
    placeholder: string;
    values: [];
    showInline: boolean;
    name: string;
    suggest: string;
    disabled: boolean;
    required: boolean;
    options: any;
    formGroup: any;
    service: DataService;
    onChangeSelected: EventEmitter<any>;
    sourceValue: string;
    sourceLabel: string;
    constructor(formGroupUtils: FormGroupUtils, validatorUtils: ValidatorUtils);
    ngOnChanges(changes: SimpleChanges): void;
    ngOnInit(): void;
    getErrors(): any[];
    selectionChange(event: any): void;
}
